LFR-FSW - Bug #3851

bruit périodique a F1 vu sur les BPs et ASM mais pas sur les SWF
25/05/2021 11:11 AM - thomas chust
Description

Un truc bizarre/paradoxal depuis le début de la mission: on observe sur les produits spectraux a F1 (BP2, BP1 et ASM) un bruit large
bande qui module régulierement en intensité sur une période de ~3h. Parfois cette modulation est accentuée soudainement une ou
deux fois puis retour a la "normale". Alors que sur les produits SWF il n'y a rien a voir (semble-t-il) ?

1) Exemples des 18 et 19 mai 2020 (on voit I'accentuation le 18 mai associée a une hausse du bruit global visible sur les SWF mais
sans modulation)

2) Exemple du 7 février 2021 (ASM toutes les 52 s et SWF toutes les 30 s)
Il faudrait que j'integre sur les fréquences les SWF pour obtenir la méme résolution en fréquences que les BP pour étre slr que cette

modulation n'est pas cachée dans les SWF. Mais j'y crois pas ... Du coup il y a peut-étre quelque chose a voir du coté du FSW dans
sa fagon de faire les moyennes ?

History

#1 - 26/05/2021 11:30 AM - Alexis Jeandet

Etrange en effet, si c'est induit par le soft, ¢a doit forcément se reproduire au labo, sinon il faut creuser d'autres pistes.

#2 - 17/09/2021 11:23 AM - Alexis Jeandet

- Status changed from New to In Progress

Est-ce que ¢a ne correspondrait pas a la période du réchauffeur de SCM? Peux tu croiser avec la température de SCM et LFR? Pour le moment je
crois pas trop a un bug SW c'est trop "propre" comme bruit.

#3 - 11/10/2021 09:39 AM - bruno katra

- Assignee changed from Alexis Jeandet to thomas chust

Je propose en effet que I'on regarde si c'est reproductible au sol.

Lors de la validation en 2019 du FSW 3.2.0.24 pour livraison au LESIA, on a fait des tests de charge, j'ai retrouvé les données produites par LFR (L0)
: j'ai 5h30 de données en NORMAL MODE avec ASM=4s et SWF=22s, pas de signal injetcé donc juste du bruit..

@ThomasC : est-ce que ¢a te conviendrait pour vérifier?

Le fichier est dispo ici, a mouliner avec la decom LFR :

https://ao.lpp.polytechnique.fr/index.php/f/2242640

#4 - 11/10/2021 06:38 PM - thomas chust

- File Analyse_bruit_F1_tests_au _sol.html added

- File 2019_03 06_12_05 38 packet record NORMAL BPZ2 F1_spectrogram5-corr=4.png added
- File 2019_03 06_12_05 38 packet record NORMAL_ASM_F1_spectrogram5-corr=4.png added
- File 2019_03_06_12_05 38 packet record NORMAL_SWF_F1_spectrogram5-corr=4.png added

Voila j'ai regardé et fait des spectres pour les BP2, ASM et SWF correspondants. Voir les plots en attachés. Rien a signaler de particulier (si, des
sauts temporelles [voir le notebook] mais cela est un autre sujet, a discuter ...)

#5 - 11/10/2021 06:42 PM - thomas chust

- Assignee changed from thomas chust to Alexis Jeandet

#6 - 13/10/2021 04:36 PM - bruno katra
https://ao.lpp.polytechnique.fr/index.php/f/2242640

- Assignee changed from Alexis Jeandet to bruno katra

Alexis relance un run de + de 10h en NORMAL mode car le run que j'avais envoyé comportait des changements de mode donc pas probant pour le
test au sol.

#7 - 14/10/2021 09:57 AM - Alexis Jeandet
- File 2021_10_13_16_41_5.tar.xz added

Voici les données, fait avec 'EQM.

#8 - 14/10/2021 11:28 AM - thomas chust

- File 2021_10_13 _16_41_53 packet record NORMAL _BPZ2 F1_spectrogram5-corr=4.png added
- File 2021_10_13_16_41_53 packet _record NORMAL_ASM_F1_spectrogram5-corr=4.png added
- File 2021_10_13 16_41_53 packet record NORMAL_SWF_F1_spectrogram5-corr=4.png added

Voila le résult. A priori rien de particulier, hormis la voie B2 qui est bruyant en comparaison avec le test de charge du FSW 3.2.0.24 fait avec I'EM
(dixit Bruno)

#9 - 14/12/2022 01:07 PM - bruno katra

- Assignee deleted (bruno katra)

Que conclue t'on avec ce point ? Il n'y a plus d'assignee et a priori le bug n'est pas reproductible au sol si je lis bien les commentaires.
@ThomasC : Est-ce que le bug est toujours présent avec les données 20227
@ThomasC : Alexis parlait de croiser avec la température de SCM? (https://hephaistos.lpp.polytechnique.fr/redmine/issues/3851#note-2)

#10 - 14/12/2022 02:13 PM - thomas chust

bruno katra wrote in #note-9:

Que conclue t'on avec ce point ? Il n'y a plus d'assignee et a priori le bug n'est pas reproductible au sol si je lis bien les commentaires.

Le probléme reste complétement ouvert: rien trouvé depuis ...

@ThomasC : Est-ce que le bug est toujours présent avec les données 20227

Oui hélas

@ThomasC : Alexis parlait de croiser avec la température de SCM? (https://hephaistos.lpp.polytechnique.fr/redmine/issues/3851#note-2)

Les échelles de temps ne me semblent pas compatibles. Ici cycle de ~3h, les réchauffeur de SCM s'enclenche en moyenne toutes les 90s

#11 - 15/12/2022 11:11 AM - bruno katra

- Assignee set to Alexis Jeandet

Pourrait-on faire un point sur cet issue histoire d'étre sr qu'il n'y a pas un pb de SW?

#12 - 27/12/2022 03:36 PM - bruno katra
- Status changed from In Progress to Feedback

- Priority changed from Normal to Urgent

Je relance : peut-on discuter de ¢a afin de voir si pb potentiel?

#13 - 10/01/2023 08:57 AM - bruno katra

Peut-étre devrions nous mettre SCM dans boucle ?

#14 - 10/01/2023 09:06 AM - Alexis Jeandet

Hello, je ne sais pas, tant que ce n'est pas reproductible au labo, on peut pas faire grand chose. L'hypothése d'un bug logiciel me semble peu
probable car c'est la seule chose déterministe et parfaitement identique au sol et donc si on ne voit pas ¢a au sol, ¢a ne peut-étre que HW (défaut de
LFR ou autre instrument).
#15 - 10/01/2023 09:17 AM - bruno katra

Alexis Jeandet wrote in #note-14:

Hello, je ne sais pas, tant que ce n'est pas reproductible au labo, on peut pas faire grand chose. L'hypothése d'un bug logiciel me semble peu
probable car c'est la seule chose déterministe et parfaitement identique au sol et donc si on ne voit pas ¢a au sol, ¢a ne peut-étre que HW
(défaut de LFR ou autre instrument).

Le fait que celase voit sur les BP mais pas les SWF : les BP sont calibrés au LPP alors que les SWF sont calibrés par Jean-Yves, peut-étre qu'ils
auraient une idée ? Je veux dire cela vient peut-étre de leur fagon de calibrer (filtrage, ...) ?

#16 - 30/01/2023 08:26 PM - bruno katra

- Priority changed from Urgent to Normal
